
Redmine - Defect #1426

User model does not allow person's first name to contain a dot '.'

2008-06-11 18:13 - mathew murphy

Status: Closed Start date: 2008-06-11

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 0.7.3   

Resolution: Fixed Affected version: 0.7.1

Description

Our LDAP server contains usernames like "J.R. Ewing" and "J. Emmet Smith". These fail to be allowed to log in to Redmine.

Fix is simple,

validates_format_of :firstname, :lastname, :with => /^[\w\s\'\-\.]*$/i

in app/models/user.rb

Associated revisions

Revision 1561 - 2008-06-17 22:14 - Jean-Philippe Lang

Allow dot in firstnames and lastnames (closes #1426).

History

#1 - 2008-06-17 22:18 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1561.

#2 - 2008-07-06 14:19 - Jean-Philippe Lang

- Target version set to 0.7.3

- Resolution set to Fixed
